/*!
 * @file explosion.h
 * @brief a Explosion Projectile
*/

#ifndef _EXPLOSION_H
#define _EXPLOSION_H

#include "world_entity.h"

class SpriteParticles;
class ParticleEmitter;
class FastFactory;

class Explosion : public WorldEntity
{
  public:
    Explosion ();
    virtual ~Explosion ();

    virtual void activate();
    virtual void deactivate();

    virtual void tick (float time);

  private:
    static FastFactory*        fastFactory;

    float                      lifeTime;
    float                      lifeCycle;

    static SpriteParticles*           explosionParticles;
    ParticleEmitter*           emitter;
};

#endif /* _EXPLOSION_H */
